Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jun 2021 07:10:10 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns It has been more than 2 weeks since I booked a return. No one has come to collect the item. I have reached out to Customer Service so many times and they all promised to settle the matter but never did. I used to read about your poor customer service and never thought it would happen to me. I am so disappointed in you Max. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2726222